%define module	Locale-Maketext-Simple
%define name	perl-%{module}
%define version 0.18
%define release %mkrel 1

Name:		    %{name}
Version:	    %{version}
Release:	    %{release}
License:	    MIT
Group:		    Development/Perl
Summary:	    Perl module to use other catalog formats in Maketext
Url:            http://search.cpan.org/dist/%{module}/
Source:         http://www.cpan.org/modules/by-module/Locale/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:      noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
Locale::Maketext::Simple is simple interface to Locale::Maketext::Lexicon,
a module providing lexicon-handling backends, for "Locale::Maketext" 
to read from other localization formats, such as PO files, MO files, 
or from databases via the "Tie" interface.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%check
%{__make} test
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Locale
%{_mandir}/man3/*

%changelog
* Thu Sep 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2007.0
- New version 0.18

* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdv2007.0
- New version 0.17

* Thu May 04 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- New version
- Change license

* Wed May 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdk
- New release 0.15

* Tue May 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdk
- New release 0.14

* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdk
- New release 0.13
- %%mkrel
- better source URL

* Mon Jun 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-5mdk 
- don't ship useless emtpy dirs
- spec cleanup
- better url
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.12-4mdk 
- removed MANIFEST
- added missing doc files

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.12-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.12-2mdk 
- rebuild

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.12-1mdk 
- First MandrakeSoft Package
